## org.eclipse.emf.cdo.common.revision
Class CDORevisionUtil

    java.lang.Object
      org.eclipse.emf.cdo.common.revision.CDORevisionUtil

    public final class CDORevisionUtil

extends java.lang.Object

Field Summary
`static java.lang.Object` `UNINITIALIZED`

Method Summary
`static org.eclipse.emf.ecore.util.FeatureMap.Entry` `createFeatureMapEntry(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`
`static CDORevision` `createRevision(org.eclipse.emf.ecore.EClass eClass, CDOID id)`
`static java.lang.Object` `remapID(java.lang.Object value, java.util.Map<CDOIDTemp,CDOID> idMappings)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNINITIALIZED

    public static final java.lang.Object UNINITIALIZED

Method Detail

### createRevision

    public static CDORevision createRevision(org.eclipse.emf.ecore.EClass eClass,
                                             CDOID id)

  Since:
    2.0

### createFeatureMapEntry

    public static org.eclipse.emf.ecore.util.FeatureMap.Entry createFeatureMapEntry(org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                                    java.lang.Object value)

  Since:
    2.0

### remapID

    public static java.lang.Object remapID(java.lang.Object value,
                                           java.util.Map<CDOIDTemp,CDOID> idMappings)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.